Skip to content
Start here

Get single SSO connector

iam.sso.get(strsso_connector_id, SSOGetParams**kwargs) -> SSOGetResponse
GET/accounts/{account_id}/sso_connectors/{sso_connector_id}

Get single SSO connector

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
SSO Connector Read
ParametersExpand Collapse
account_id: str

Account identifier tag.

maxLength32
minLength32
sso_connector_id: str

SSO Connector identifier tag.

maxLength32
minLength32
ReturnsExpand Collapse
class SSOGetResponse:
id: Optional[str]

SSO Connector identifier tag.

maxLength32
minLength32
created_on: Optional[datetime]

Timestamp for the creation of the SSO connector

formatdate-time
email_domain: Optional[str]
enabled: Optional[bool]
updated_on: Optional[datetime]

Timestamp for the last update of the SSO connector

formatdate-time
use_fedramp_language: Optional[bool]

Controls the display of FedRAMP language to the user during SSO login

verification: Optional[Verification]
code: Optional[str]

DNS verification code. Add this entire string to the DNS TXT record of the email domain to validate ownership.

status: Optional[Literal["awaiting", "pending", "failed", "verified"]]

The status of the verification code from the verification process.

One of the following:
"awaiting"
"pending"
"failed"
"verified"

Get single SSO connector

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
sso = client.iam.sso.get(
    sso_connector_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(sso.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2025-01-01T12:21:02.0000Z",
    "email_domain": "example.com",
    "enabled": false,
    "updated_on": "2025-01-01T12:21:02.0000Z",
    "use_fedramp_language": false,
    "verification": {
      "code": "cloudflare_dashboard_sso=023e105f4ecef8ad9ca31a8372d0c353",
      "status": "pending"
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2025-01-01T12:21:02.0000Z",
    "email_domain": "example.com",
    "enabled": false,
    "updated_on": "2025-01-01T12:21:02.0000Z",
    "use_fedramp_language": false,
    "verification": {
      "code": "cloudflare_dashboard_sso=023e105f4ecef8ad9ca31a8372d0c353",
      "status": "pending"
    }
  }
}